* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: $primary;
}

ul,
ol {
  list-style: none;
}

.page {
  background: #ddd;
  position: relative;
  height: 500px;
  margin-top: 4rem;

  &__split {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-wrap: wrap;
    flex-flow: column;
    align-items: center;
    justify-content: center;

    h1 {
      font-size: 3rem;
      color: #fff;
      text-shadow: 0 0 10px #000;
    }

    &__button {
      padding: 1rem 2rem;
      text-align: center;
      color: #fff;
      border: 3px solid #fff;
      font-size: 1rem;
      font-weight: bold;
      text-transform: uppercase;
      text-decoration: none;
      background: rgba(255, 255, 255, 0.3);
      border-radius: 0.5rem;
    }
  }

  .split--left {
    _left: 0;
    background: url("https://images.unsplash.com/photo-1510798831971-661eb04b3739?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=774&q=80")
      center center no-repeat;
    background-size: cover;
    clip-path: polygon(50% 0, 50% 100%, 0 100%, 0 0);
    z-index: 1;
  }

  .split--right {
    _right: 0;
    background: url("https://images.unsplash.com/photo-1510798831971-661eb04b3739?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=774&q=80")
      center center no-repeat;
    background-size: cover;
    _margin-left: -40%;
    filter: grayscale(1) contrast(1);
  }

  .split--left,
  .split--right {
    transition: 2000ms all ease-in-out;
  }
}

.lhover {
  .split--left {
    _width: 0%;
  }

  .split--right {
    _width: 100%;
  }

  .page__split__button {
    background: rgba(255, 255, 255, 0.8);
    color: #000;
  }
}

.rhover {
  .split--right {
    _width: 100%;
  }

  .split--left {
    _width: 0%;
  }

  .page__split__button {
    background: rgba(255, 255, 255, 0.8);
    color: #000;
  }
}

.wrap {
  display: grid;
  grid-template-rows: auto 1fr auto;
  height: 100vh;
}

